Summary:	Library for evaluating mathematical expressions
Summary(pl.UTF-8):	Biblioteka do obliczania wyrażeń matematycznych
Name:		libmatheval
Version:	1.1.11
Release:	2
License:	GPL v3+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/libmatheval/%{name}-%{version}.tar.gz
# Source0-md5:	595420ea60f6ddd75623847f46ca45c4
Patch0:		%{name}-info.patch
Patch1:		%{name}-guile2.patch
Patch2:		%{name}-texinfo.patch
URL:		http://www.gnu.org/software/libmatheval/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex >= 2.5.33-2
# for config.rpath
BuildRequires:	gettext-tools
BuildRequires:	guile-devel
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU libmatheval is a library which contains several procedures that
make it possible to create an in-memory tree from the string
representation of a mathematical function over single or multiple
variables. This tree can be used later to evaluate a function for
specified variable values, to create a corresponding tree for the
function derivative over a specified variable, or to write a textual
tree representation to a specified string. The library exposes C and
Fortran 77 interfaces.

%description -l pl.UTF-8
GNU libmatheval to biblioteka zawierająca różne procedury
umożliwiające tworzenie w pamięci drzew ze znakowej reprezentacji
funkcji matematycznych jednej lub wielu zmiennych. Drzewo może być
później użyte do obliczenia wartości funkcji dla podanych wartości
parametrów, stworzenia drzewa dla pochodnej funkcji po danej zmiennej
lub zapisania tekstowej reprezentacji drzewa do podanego łańcucha.
Biblioteka udostępnia interfejsy dla C i Fortranu 77.

%package devel
Summary:	Header files for libmatheval library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmatheval
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
# -lfl
Requires:	flex

%description devel
Header files for libmatheval library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libmatheval.

%package static
Summary:	Static libmatheval library
Summary(pl.UTF-8):	Statyczna biblioteka libmatheval
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmatheval library.

%description static -l pl.UTF-8
Statyczna biblioteka libmatheval.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/gettext/config.rpath config
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS
%attr(755,root,root) %{_libdir}/libmatheval.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmatheval.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmatheval.so
%{_libdir}/libmatheval.la
%{_includedir}/matheval.h
%{_pkgconfigdir}/libmatheval.pc
%{_infodir}/libmatheval.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libmatheval.a
%changelog
* Thu Jun 18 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmatheval.git;a=log;h=master

* Thu Jun 18 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 33a6dab
- Release: 2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> e519b8c
- updated gettext BR

* Mon Sep 02 2013 Jakub Bogusz <qboosh@pld-linux.org> b51f551
- updated to 1.1.11
- added texinfo patch (fixes build with texinfo 5.x)

* Sat Dec 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 0028a0e
- updated to 1.1.10

* Sat Oct 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 5ae90dd
- updated to 1.1.9

* Sun Jul 24 2011 Jakub Bogusz <qboosh@pld-linux.org> 58c0c8e
- updated to 1.1.8
- added guile2 patch to fix build with guile 2.0

* Tue Apr 01 2008 Jakub Bogusz <qboosh@pld-linux.org> d294bc1
- updated to 1.1.7

* Wed Mar 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 9d4769d
- updated to 1.1.6

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 0c4931c
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Wed Jul 11 2007 Jakub Bogusz <qboosh@pld-linux.org> 11031b8
- updated to 1.1.5 (GPL v3 applies)

* Sun Mar 18 2007 Jakub Bogusz <qboosh@pld-linux.org> e419e14
- updated to 1.1.4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6101fc5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 91724df
- converted to UTF-8

* Sun May 14 2006 Paweł Sikora <pluto@pld-linux.org> c993923
- fix x86-64 build.

* Sat May 13 2006 Jakub Bogusz <qboosh@pld-linux.org> d648b84
- updated to 1.1.3

* Thu Mar 03 2005 Jakub Bogusz <qboosh@pld-linux.org> b7d2329
- updated to 1.1.2

* Tue Aug 31 2004 darekr <darekr@pld-linux.org> 08425e8
- updated to 1.1.1

* Sun Jul 04 2004 Jakub Bogusz <qboosh@pld-linux.org> 5429065
- updated to 1.1.0

* Sun Jun 06 2004 Jakub Bogusz <qboosh@pld-linux.org> 45e3713
- updated to 1.0.2, refresh config.sub

* Thu Dec 25 2003 Jakub Bogusz <qboosh@pld-linux.org> 9465331
- updated to 1.0.1

